﻿using System.IO;

namespace GCHR.Control
{
    public class Logger
    {
        private const string LogDatei = "logs\\gchr.log";
        public static string ExportLog = LogDatei;

        public static void Info(string message)
        {
            lock(LogDatei)
            {
                Log(message, LogDatei);    
            }
        }

        public static void Progress(string message)
        {
            lock(ExportLog)
            {
                Log(message, ExportLog);
            }
        }

        private static void Log(string message, string datei)
        {
            using (var sw = new StreamWriter(datei, true))
            {
                sw.WriteLine(message);
            }
        }
    }
}
