﻿using System.Collections.Generic;
using GCHR.Model.Konto;

namespace GCHR.Control.Tasks
{
    class UebersetzungSuSa : Uebersetzung
    {
        public UebersetzungSuSa(int id, string name)
            : base(id, name)
        {
            Dateiname = "uebersetzungstabelle.csv";
            KontoTyp = KontoTypen.SuSa;
        }

        protected override void TabelleUebergeben(Dictionary<string, string> uebersetzung)
        {
            Data.SetUebersetzungSuSa(uebersetzung);
        }

        protected override bool ManuellesKonto(string kontonummer)
        {
            return false;
        }
    }
}
