﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GCHR.Model.Uebersetzung
{
    class Regel
    {
        internal static string Hauptmarke = "1";
        internal static string Hauptbetrieb = "01";

        public Regel(string regel)
        {
            if (regel == "")
            {
                markeDefault = Hauptmarke;
                betriebDefault = Hauptbetrieb;
                return;
            }
            string[] split = regel.Split(new char[] { ',' });

            string[] markeSplit = split[0].Split(new char[] { ':' });
            markeRegel = (markeSplit[0] != "") ? markeSplit[0] : "0";
            markeDefault = (markeSplit.Count() > 1) ? markeSplit[1] : Hauptmarke;

            if (split.Count() > 1)
            {
                string[] betriebSplit = split[1].Split(new char[] { ':' });
                betriebRegel = (betriebSplit[0] != "") ? betriebSplit[0] : "0";
                betriebDefault = (betriebSplit.Count() > 1) ? betriebSplit[1] : Hauptbetrieb;
            }
        }

        private string markeRegel = "0";
        private string markeDefault;
        private string betriebRegel = "0";
        private string betriebDefault;

        public override string ToString()
        {
            return String.Format("{0}:{1},{2}:{3}", markeRegel, markeDefault, betriebRegel, betriebDefault);
        }
    }
}
